xpp: Don't generate .depends if there's no libusb v2.9.2-rc1
authorTzafrir Cohen <tzafrir.cohen@xorcom.com>
Thu, 5 Jun 2014 10:20:36 +0000 (13:20 +0300)
committerTzafrir Cohen <tzafrir.cohen@xorcom.com>
Tue, 10 Jun 2014 09:41:43 +0000 (12:41 +0300)
Creating the The .depends file requires libusb support.

Signed-off-by: Tzafrir Cohen <tzafrir.cohen@xorcom.com>
Acked-by: Russ Meyerriecks <rmeyerriecks@digium.com>

xpp/Makefile

index ee15fe1..cb5a618 100644 (file)
@@ -192,9 +192,11 @@ clean:
        $(RM) .depend .octasic.depend *.o xtalk/*.o $(OCT_HERE_OBJS) $(TARGETS)
 
 .PHONY: depend
        $(RM) .depend .octasic.depend *.o xtalk/*.o $(OCT_HERE_OBJS) $(TARGETS)
 
 .PHONY: depend
+ifeq   (1,$(PBX_USB))
 depend: .depend
 .depend: *.c *.h xtalk/*.c
        @echo "Calculating dependencies"
        @if ! $(CC) $(CFLAGS) $(OCT_CFLAGS) -MM $(SRCS) > $@; then $(RM) $@; exit 1; fi
 
 include .depend
 depend: .depend
 .depend: *.c *.h xtalk/*.c
        @echo "Calculating dependencies"
        @if ! $(CC) $(CFLAGS) $(OCT_CFLAGS) -MM $(SRCS) > $@; then $(RM) $@; exit 1; fi
 
 include .depend
+endif